# Wbcmc
## a small lightweight webcomic system, that only uses php, sh, and sql

At the moment, it ~~only works~~ would work with mysql/mariadb, but it is planned that it becomes dialect-agnostic, and use more lightweight stuff.

## Tech:
 + php
 + bash
 + some form of sql
 + scss for the css

## setup

To set up the webcomic system, you will need to do the following:

 1. choose a dialect of sql. As far as I know, any dialect works, but only mysql and sqlite have been tested.
 2. copy or write `config.ini.php`. If you choose to use one of the tested variants, sample config files are provided.
 3. setup the database. It is remarcably simple:
 
id | file | title | hover
---|------|-------|------
number, preferably auto-incrementing. primary key| location of image files, text|webpage title, text| hovertext, text

See sample setup in `comics.sql` (mysql version).